WordPress 3.1.2 aggiornamento di sicurezza

La versione 3.1.2 di WordPress è stata rilasciata nella giornata di ieri. Si tratta di un aggiornamento che corregge un bug scoperto da Andrew Nacin e Benjamin Balter, membri del team di sicurezza di WordPress: un utente di livello collaboratore potrebbe pubblicare i post pur non avendone il permesso (r17710).

Oltre a questo problema sono stati corretti atri tre bug, di minore entità:

  • Fix query utenti ordinati per numero di post. (#17123)
  • Fix query con tag multipli. (#17054)
  • Previene un eccessivo escape dei titoli quando si usa la modifica veloce delle pagine. (#17218)

L’aggiornamento è consigliato per tutti i blog che consentono la registrazione di utenti di livello collaboratore, oppure che hanno utenti di livello collaboratore di cui non si ha piena fiducia. Si può aggiornare dal pannello di amministrazione avendo l’accortezza di eseguire prima un backup completo dei files e del database, per cautelarsi da qualsiasi problema. Non sono presenti nuove stringhe, quindi dal punto di vista della traduzione, non ci sono cambiamenti rispetto alla precedente versione.

Precedente Visualizzare come miniatura la prima immagine di un post Successivo Platform: tema con struttura personalizzabile tramite interfaccia Drag & Drop
  • fabrizio

    Ciao, il tuo blog è molto utile ed interessante. La versione di WP 3.1.2 non è però ancora disponibile su Altervista, vero?

    • No, non è ancora disponibile, ma lo sarà a breve. In realtà è già pronta per la messa online, ma stiamo lavorando sul parco temi, aggiungendone di nuovi e sistemando quelli con difetti grafici. Il tutto dovrebbe essere pronto tra circa una settimana.